runtime:
  shutdown_timeout_seconds: 15

grpc:
  network: tcp
  address: ":50051"
  advertise_host: "sendico_fx_oracle"
  enable_reflection: true
  enable_health: true

metrics:
  address: ":9400"

database:
  driver: mongodb
  settings:
    host_env: FX_MONGO_HOST
    port_env: FX_MONGO_PORT
    database_env: FX_MONGO_DATABASE
    user_env: FX_MONGO_USER
    password_env: FX_MONGO_PASSWORD
    auth_source_env: FX_MONGO_AUTH_SOURCE
    replica_set_env: FX_MONGO_REPLICA_SET

messaging:
  driver: NATS
  settings:
    url_env: NATS_URL
    host_env: NATS_HOST
    port_env: NATS_PORT
    username_env: NATS_USER
    password_env: NATS_PASSWORD
    broker_name: FX Oracle
    max_reconnects: 10
    reconnect_wait: 5
    buffer_size: 1024
